summaryrefslogtreecommitdiff
path: root/src/testing/netjail_exec_v2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/testing/netjail_exec_v2.sh')
-rwxr-xr-xsrc/testing/netjail_exec_v2.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/src/testing/netjail_exec_v2.sh b/src/testing/netjail_exec_v2.sh
new file mode 100755
index 000000000..597baad20
--- /dev/null
+++ b/src/testing/netjail_exec_v2.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+. "./../testing/netjail_core_v2.sh"
+
+set -eu
+set -x
+
+export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
+
+M=$1
+N=$2
+
+NODE=$6
+
+netjail_node_exec_without_fds_and_sudo $NODE $3 $4 $5 $1 $2